QDBM for C++: qdbm Namespace Reference

- Main Page
- Namespaces
- Classes

- Namespace List
- Namespace Members

# qdbm Namespace Reference

## Detailed Description

Namespace of QDBM.

## Classes
class | DBM_error
| Error container for ADBM. More...
class | Datum
| Datum of records for ADBM. More...
class | ADBM
| Aabstraction for database managers compatible with DBM. More...
class | Curia_error
| Error container for Curia. More...
class | Curia
| C++ API of Curia, the extended API of QDBM. More...
class | Depot_error
| Error container for Depot. More...
class | Depot
| C++ API of Depot, the basic API of QDBM. More...
class | Villa_error
| Error container for Villa. More...
class | Villa
| C++ API of Villa, the basic API of QDBM. More...
## Functions
qdbm::Datum | operator+ (const qdbm::Datum &former, const qdbm::Datum &latter)
| Temporary concatenation operator for Datum.
qdbm::Datum | operator+ (const qdbm::Datum &datum, const char *str)
| Temporary concatenation operator for Datum.
qdbm::Datum | operator+ (const char *str, const qdbm::Datum &datum)
| Temporary concatenation operator for Datum.
## Variables
pthread_mutex_t | ourmutex
| Common Mutex of QDBM.

## Function Documentation

Datum qdbm::operator+ | ( | const char * | str,
|  | const qdbm::Datum & | datum |
| ) |  |  |

Temporary concatenation operator for Datum.

Parameters:

  | str | the former string.
  | datum | the latter datum.

Returns:
  reference to a temporary instance.

Datum qdbm::operator+ | ( | const qdbm::Datum & | datum,
|  | const char * | str |
| ) |  |  |

Temporary concatenation operator for Datum.

Parameters:

  | datum | the former datum.
  | str | the latter string.

Returns:
  reference to a temporary instance.

Datum qdbm::operator+ | ( | const qdbm::Datum & | former,
|  | const qdbm::Datum & | latter |
| ) |  |  |

Temporary concatenation operator for Datum.

Parameters:

  | former | the former datum.
  | latter | the latter datum.

Returns:
  reference to a temporary instance.